summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2019-10-12 20:46:49 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2019-10-12 21:03:05 +0100
commitd7bc808a406129ec4f59a2a8f02d37bc087cf0d4 (patch)
treebd03d6b838ec5c64bff5a27d8cdb9464818c091f /eclass/toolchain-glibc.eclass
parentsys-libs/glibc: restore used glibc-2.19-ia64-gcc-4.8-reloc-hack.patch (diff)
downloadgentoo-d7bc808a406129ec4f59a2a8f02d37bc087cf0d4.tar.gz
gentoo-d7bc808a406129ec4f59a2a8f02d37bc087cf0d4.tar.bz2
gentoo-d7bc808a406129ec4f59a2a8f02d37bc087cf0d4.zip
toolchain-glibc.eclass: allow glibc dongrade on I_ALLOW_TO_BREAK_MY_SYSTEM
Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Diffstat (limited to 'eclass/toolchain-glibc.eclass')
-rw-r--r--eclass/toolchain-glibc.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/toolchain-glibc.eclass b/eclass/toolchain-glibc.eclass
index 4aa06db55293..30781fed7775 100644
--- a/eclass/toolchain-glibc.eclass
+++ b/eclass/toolchain-glibc.eclass
@@ -516,7 +516,7 @@ toolchain-glibc_pkg_pretend() {
if has_version ">${CATEGORY}/${P}-r10000" ; then
eerror "Sanity check to keep you from breaking your system:"
eerror " Downgrading glibc is not supported and a sure way to destruction"
- die "aborting to save your system"
+ [[ ${I_ALLOW_TO_BREAK_MY_SYSTEM} = yes ]] || die "Aborting to save your system."
fi
if ! glibc_run_test '#include <pwd.h>\nint main(){return getpwuid(0)==0;}\n'